Subject: Re: bug#63265: 28.3; elpa: inspector installation fails without treeviewer
From: Stefan Kangas <[email-masked]>
To: Henrik Ahlgren <[email-masked]>, [email-masked]
Date: Fri, 6 Oct 2023 08:00:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Henrik Ahlgren <[email-masked]> writes:

> The git repository for the inspector package contains two separate
> packages, inspector.el and tree-inspector.el. The main package does not
> have Package-Requires for treeview, since it does not need it. However,
> the other package included in the tarball fails to compile if treeview
> is not present.
>
> The upstream author refuses to add the dependency to inspector.el,
> claiming it is a problem with elpa itself:
>
> https://github.com/mmontone/emacs-inspector/pull/25
>
> I think elpa should add tree-inspector* to :exclude-files and perhaps
> add tree-inspector as a separate package.

I see that this package has been split in two on GNU ELPA, which has
resolved this issue.  I'm therefore closing this bug.